package com.its.pis.process;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class DbmsJobTask {

    @Async("dbmsJobExecutor")
    public void run(AbstractDbmsJobProcess dbmsJobProcess, DbmsJobData dbmsJobData) {

        dbmsJobProcess.runJob(dbmsJobData);
    }

}
